<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>ru.entaxy.esb.platform.runtime</groupId>
        <artifactId>modules</artifactId>
        <version>1.8.0</version>
    </parent>
    <groupId>ru.entaxy.esb.platform.runtime.modules</groupId>
    <artifactId>uniform-service</artifactId>
    <packaging>pom</packaging>
    <name>ENTAXY :: PLATFORM :: RUNTIME :: MODULES :: UNIFORM :: SERVICE</name>
    <description>ENTAXY :: PLATFORM :: RUNTIME :: MODULES :: UNIFORM :: SERVICE</description>
    <modules>
        <module>connector</module>
        <module>support</module>
        <module>uniform-service-endpoint</module>
    </modules>


    <profiles>
        <profile>
            <id>features</id>
            <build>
                <resources>
                    <resource>
                        <directory>./</directory>
                        <filtering>true</filtering>
                        <includes>
                            <include>**/features.xml</include>
                        </includes>
                        <targetPath>${project.build.directory}</targetPath>
                    </resource>
                    <resource>
                        <directory>cfg</directory>
                        <targetPath>${project.build.directory}/cfg</targetPath>
                    </resource>
                </resources>
                <plugins>
                    <plugin>
                        <groupId>org.codehaus.mojo</groupId>
                        <artifactId>build-helper-maven-plugin</artifactId>
                        <version>1.12</version>
                        <executions>
                            <execution>
                                <id>attach-artifacts</id>
                                <phase>package</phase>
                                <goals>
                                    <goal>attach-artifact</goal>
                                </goals>
                                <configuration>
                                    <artifacts>
                                        <artifact>
                                            <file>target/feature/features.xml</file>
                                            <type>xml</type>
                                            <classifier>features</classifier>
                                        </artifact>
                                        <artifact>
                                            <file>target/cfg/uniform.service.ignite.cfg</file>
                                            <type>cfg</type>
                                            <classifier>uniform.service.ignite</classifier>
                                        </artifact>
                                        <artifact>
                                            <file>target/cfg/uniform.exchange.passive.cfg</file>
                                            <type>cfg</type>
                                            <classifier>uniform.exchange.passive</classifier>
                                        </artifact>
                                        <artifact>
                                            <file>target/cfg/uniform.service.support.cfg</file>
                                            <type>cfg</type>
                                            <classifier>uniform.service.support</classifier>
                                        </artifact>
                                    </artifacts>
                                </configuration>
                            </execution>
                        </executions>
                    </plugin>
                </plugins>
            </build>
            <activation>
                <file>
                    <exists>feature/features.xml</exists>
                </file>
            </activation>
        </profile>
    </profiles>
</project>